/**
 * ParticipationTargetLocation2.java
 *
 * File generated from the medication2::ParticipationTargetLocation2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ParticipationTargetLocation2.
 *
 * 
 */

@XmlType(name = "ParticipationTargetLocation")
@XmlEnum
@XmlRootElement(name = "ParticipationTargetLocation2")
public enum ParticipationTargetLocation2 {
	@XmlEnumValue("LOC")
	LOC("LOC"),
	@XmlEnumValue("DST")
	DST("DST"),
	@XmlEnumValue("ELOC")
	ELOC("ELOC"),
	@XmlEnumValue("ORG")
	ORG("ORG"),
	@XmlEnumValue("RML")
	RML("RML"),
	@XmlEnumValue("VIA")
	VIA("VIA");
	
	private final String value;

    ParticipationTargetLocation2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ParticipationTargetLocation2 fromValue(String v) {
        for (ParticipationTargetLocation2 c: ParticipationTargetLocation2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
